Index: npl/system/libmpfr/libmpfr.SlackBuild
===================================================================
--- npl/system/libmpfr/libmpfr.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,73 @@
+#!/bin/bash
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies. 
+#Only use when really neccesary, this will rebuild our package if the dependencie has changed:
+##DEP:linux
+##DEP:linux_src
+
+#Loose build-dependencies.
+#Use this to specify the packages that are required to build our package:
+##NEED:libcairo
+##NEED:glib
+##NEED:gtk+
+##NEED:glib2
+##NEED:gtk+2
+##NEED:xorg_lib
+##NEED:xorg_proto
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.*`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g'`
+
+#Directory of the sourcefiles to build (after optional unpacking)
+SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`arch`
+
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+#build and install sourcefiles
+#./configure optiones:
+export CONFIGURE_OPTS=""
+#options for all make commands:
+export MAKE_OPTS=""
+#skip testing:
+#export NOTEST=1
+#extra optiones for the make install command, use with INSTALL_BASE for example:
+export INSTALL_OPTS=""
+syn3_build_automake $SRC_DIR /tmp/pkg || exit 1
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
Index: npl/system/libmpfr/libmpfr.arch
===================================================================
--- npl/system/libmpfr/libmpfr.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/libmpfr/libmpfr.md5
===================================================================
--- npl/system/libmpfr/libmpfr.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+21110c3cb7d175f8f3c1382453d71717  ./libmpfr.SlackBuild
+6db4358b0f69ef7a6da06b8e84303a7e  ./libmpfr.pkg
+1caf5548c2ee11575bd712da2ce224b7  ./libmpfr_dev.pkg
+cf7c743e4be122e63eb6f372fc58b657  ./mpfr-2.3.0.tar.bz2
Index: npl/system/libmpfr/libmpfr.version
===================================================================
--- npl/system/libmpfr/libmpfr.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+2.3.0
Index: npl/system/libmpfr/libmpfr_dev.arch
===================================================================
--- npl/system/libmpfr/libmpfr_dev.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr_dev.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/libmpfr/libmpfr_dev.version
===================================================================
--- npl/system/libmpfr/libmpfr_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/libmpfr/libmpfr_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+2.3.0
